# Collection Admin

This section contains a series of pages via which users with admin rights can
manage the platform's collection microsites.

## Open Collection

Here you can select the collection microsite that you wish to manage. Click
'Open' to display the all additional settings pages for a microsite.

## New Collection

To create a new collection specify a name and description, then click 'Create'.

Following creation you will be given access to a range of additional
configuration options, which are described in more detail below.

## Settings

This is where the core settings for the microsite are configured, each of which
are explained below.

| Setting            | Description
|--------------------|------------------------------------------------------------------------------------------------|
| Published          | Once published, a microsite is added to the platform homepage and is accessible to all users.  |
| Name               | Applies branding throughout the collection microsite.                                          |
| Short name         | Used as an identifier and to form the microsite endpoint (e.g. `/collection/short_name`).      |
| Tagline            | Appears over the hero image on the microsite's homepage and forms a part of it's title.        |
| Description        | Appearson the microsite's homepage and forms its meta description.                             |
| Background Image   | The URL for an image used to provide a consistent theme for all of the microsite's core pages. |
| Logo               | The URL for a logo to be shown alongside the name on the microsite's homepage.                 |
| Forum URL          | The URL for the Discuss link in the microsite's main navigation bar.                           |
| Task Presenter     | The module used to present tasks for all of the microsite's projects.                          |
| Data Reuse License | The license by which all data collected via the microsite is made available.                   |

## Content

A set of markdown editors are provided here for modifying content across the
collection microsite, such as that which appears on the About, Contribute and
Data pages.

Changes are made in real-time, although you may have to refresh your browser
to see them.

For more guidance on the GitHub flavoured markdown used, see this
[GitHub Guide](https://guides.github.com/features/mastering-markdown/).

## Terminology

You can use the options provided here to modify the domain object terminology
used throughout the collection microsite. For instance, task could be renamed
to objective, or task run to contribution.

## Tags

The tags available for projects within the collection can be specified here.
For each tag type created a new filter will be automatically added to the
microsite's Contribute page (among others) so that users can more easily locate
particular types of project.

Once tags are created they can be added to individual projects via the
[Project Admin](admin/project.md) section.

## Featured

Here you can set the projects that appear on the Featured Projects section of
the collection microsite's homepage.

![Collection Admin - Featured](../assets/admin-collection-featured.jpg?raw=true)

## Delete

Here you can permanently delete a collection microsite.
